// pages/meeting/transfer/index.js
import {
    turnUsername,
    turnMeetingSubmit
} from '../../../utils/api/meeting'
Page({

    /**
     * 页面的初始数据
     */
    data: {
        appletUsername: '',
        userMsg: {},
    },
    preview(event) {
        let currentUrl = event.currentTarget.dataset.src
        wx.previewImage({
            current: currentUrl, // 当前显示图片的http链接
            urls: [currentUrl] // 需要预览的图片http链接列表
        })
    },
    getValue(e) {
        this.setData({
            appletUsername: e.detail.value
        });
        if (e.detail.value) {
            this.turnUsername()
        }
    },
    turnUsername() {
        let {
            appletUsername
        } = this.data
        turnUsername({
            appletUsername: appletUsername
        }).then(res => {
            this.setData({
                userMsg: res.data
            })
        })
    },
    submit() {
        let data = {
            userId: this.data.userMsg.userId,
            meetingRecordId: this.data.item.meetingRecordId,
        }
        wx.requestSubscribeMessage({
            tmplIds: ['mJs6TXjIFuwgPu2JOEIpu3lO9ym9rnai-schUPuLuok'],
            success(res) {
                turnMeetingSubmit(data).then(res => {
                    wx.showToast({
                        title: '操作成功',
                        icon: 'none',
                        duration: 800,
                        mask: true,
                        success: function () {
                            setTimeout(function () {
                                wx.switchTab({
                                    url: '/pages/home/home',
                                })
                            }, 800)
                        }
                    })
                })
            }
        })
    },
    /**
     * 生命周期函数--监听页面加载
     */
    onLoad(options) {
        if (options.item) {
            this.setData({
                item: JSON.parse(options.item)
            })
        }
    },

    /**
     * 生命周期函数--监听页面初次渲染完成
     */
    onReady() {

    },

    /**
     * 生命周期函数--监听页面显示
     */
    onShow() {

    },

    /**
     * 生命周期函数--监听页面隐藏
     */
    onHide() {

    },

    /**
     * 生命周期函数--监听页面卸载
     */
    onUnload() {

    },

    /**
     * 页面相关事件处理函数--监听用户下拉动作
     */
    onPullDownRefresh() {

    },

    /**
     * 页面上拉触底事件的处理函数
     */
    onReachBottom() {

    },

    /**
     * 用户点击右上角分享
     */
    onShareAppMessage() {

    }
})